cmake_minimum_required(VERSION 3.6)
project(fdf)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Werror -Wextra")

include_directories(inc libft/includes minilibx) # headers
link_directories(libft minilibx) # libraries

set(SOURCE_FILES
        src/main.c) # sources

add_executable(fdf ${SOURCE_FILES}) # compilation

target_link_libraries(fdf libft.a libmlx.a X11 Xext) # linkage
